Bug 425785 - Computer freezes for a second during screen brightness change
Computer freezes for a second during screen brightness change
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kpowersave (Show other bugs)
8
All Linux
low Severity high
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-15 12:29 EST by Konstantin Svist
Modified: 2013-03-05 22:54 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:32:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
yum.log excerpt (Mar 28th) (5.56 KB, application/octet-stream)
2008-03-29 04:40 EDT, Konstantin Svist
no flags Details

  None (edit)
Description Konstantin Svist 2007-12-15 12:29:01 EST
Description of problem:
When I change the screen brightness of my laptop (Dell Inspiron E1505),
everything freezes for about a second. This behavior disappears immediately if I
disable haldaemon service - and reappears when I start the service.
I've only recently started experiencing this problem. Possibly related to the
fact that my battery has died - but I've experienced the same behavior while the
battery is removed entirely.


Version-Release number of selected component (if applicable):
hal package version 0.5.10-1.fc8

How reproducible:
every time

Steps to Reproduce:
1. Boot to GUI interface (I use KDE)
2. Adjust the screen brightness (higher or lower) - note that the bug does not
appear if maximum or minimum has been reached.
Comment 1 Konstantin Svist 2007-12-24 20:34:25 EST
After replacing the battery, the problem still remains.
I've also tried using radeonhd drivers instead of fglrx, and the problem remained.
I've also noticed that if I'm not logged in (kdm login screen is showing), or if
I quit kpowersave applet, the problem goes away.

I've checked setting in kpowersave - it has some brightness control options, but
they're disabled.
Comment 2 Konstantin Svist 2008-01-07 19:13:32 EST
The problem is most likely in kpowersave, not haldaemon
Comment 3 Konstantin Svist 2008-03-11 03:51:28 EDT
appears fixed after a yum update today
Comment 4 Konstantin Svist 2008-03-29 04:38:45 EDT
Sorry to say this but after today's yum update, it's reacting the same way again.
Comment 5 Konstantin Svist 2008-03-29 04:40:10 EDT
Created attachment 299565 [details]
yum.log excerpt (Mar 28th)
Comment 6 Bug Zapper 2008-11-26 04:00:29 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-01-09 02:32:01 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.